> ## Documentation Index
> Fetch the complete documentation index at: https://docs.younegotiate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh communication campaign tracker

> Recalculate sent, delivered, and viewed counts from tracked EcoMailHub email recipient events.



## OpenAPI

````yaml /api/ecomailhub.openapi.yaml post /communications/campaign-trackers/{ecoMailHubCampaignTracker}/refresh
openapi: 3.1.0
info:
  title: YouNegotiate EcoMail Hub API
  version: '2.0'
  description: Stateless API endpoints for EcoMail Hub / EcoPortal users.
servers:
  - url: https://api.ecomailhub.younegotiate.com
    description: Production
security: []
tags:
  - name: System
    description: Public EcoMail Hub domain system and health endpoints.
  - name: Authentication
    description: EcoMail Hub login, logout, password reset, and password change endpoints.
  - name: Profile
    description: Authenticated EcoMail Hub user profile endpoints.
  - name: Dashboard
    description: EcoMail Hub dashboard summary and notice-response bucket endpoints.
  - name: Manage Consumers
    description: >-
      EcoMail Hub consumer identity grouping and notice-response count
      endpoints.
  - name: Manage Creditors
    description: >-
      EcoMail Hub creditor profile and company-only member profile table
      endpoints.
  - name: Import Creditor Profiles
    description: EcoMail Hub creditor profile CSV import endpoints.
  - name: Manage Notice Response
    description: >-
      EcoMail Hub top-level notice-response review, reassignment, and close
      endpoints.
  - name: Manage Users
    description: EcoMail Hub user account management endpoints.
  - name: Reports
    description: EcoMail Hub one-time and scheduled CSV report endpoints.
  - name: Communications
    description: EcoMail Hub communication template editor endpoints.
paths:
  /communications/campaign-trackers/{ecoMailHubCampaignTracker}/refresh:
    parameters:
      - name: ecoMailHubCampaignTracker
        in: path
        required: true
        description: EcoMailHub campaign tracker ID.
        schema:
          type: integer
    post:
      tags:
        - Communications / Campaign Tracker
      summary: Refresh communication campaign tracker
      description: >-
        Recalculate sent, delivered, and viewed counts from tracked EcoMailHub
        email recipient events.
      operationId: ecomailhubRefreshCommunicationCampaignTracker
      responses:
        '200':
          description: Campaign tracker refreshed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EcomailhubCommunicationCampaignTrackerRefreshResponse
              example:
                message: Campaign tracker refreshed.
                data:
                  id: 501
                  sent_count: 22
                  delivered_count: 20
                  viewed_count: 10
        '401':
          $ref: '#/components/responses/Unauthenticated'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  schemas:
    EcomailhubCommunicationCampaignTrackerRefreshResponse:
      type: object
      required:
        - message
        - data
      properties:
        message:
          type: string
          example: Campaign tracker refreshed.
        data:
          $ref: '#/components/schemas/EcomailhubCommunicationCampaignTracker'
    EcomailhubCommunicationCampaignTracker:
      type: object
      required:
        - id
        - date_sent
        - template
        - group
        - creditor_profile_count
        - sent_count
        - delivered_count
        - viewed_count
        - created_at
        - updated_at
      properties:
        id:
          type: integer
          example: 501
        date_sent:
          type:
            - string
            - 'null'
          format: date-time
          example: '2026-07-06T12:00:00.000000Z'
        template:
          oneOf:
            - $ref: '#/components/schemas/EcomailhubCommunicationCampaignRelation'
            - type: 'null'
        group:
          oneOf:
            - $ref: '#/components/schemas/EcomailhubCommunicationCampaignRelation'
            - type: 'null'
        creditor_profile_count:
          type: integer
          example: 25
        sent_count:
          type: integer
          description: Number of recipient emails accepted by the mail provider.
          example: 22
        delivered_count:
          type: integer
          description: Number of recipient emails delivered by the mail provider.
          example: 20
        viewed_count:
          type: integer
          description: Number of recipient emails opened/viewed.
          example: 10
        created_at:
          type:
            - string
            - 'null'
          format: date-time
          example: '2026-07-06T12:00:00.000000Z'
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
          example: '2026-07-06T12:05:00.000000Z'
    MessageResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
    EcomailhubCommunicationCampaignRelation:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: integer
          example: 15
        name:
          type: string
          example: Welcome Creditor
  responses:
    Unauthenticated:
      description: Missing or invalid bearer token.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MessageResponse'
          example:
            message: Unauthenticated.
    NotFound:
      description: Requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MessageResponse'
          example:
            message: Not Found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum

````